{ pkgs, ... }:
let
    #themeFile = pkgs.writeFile "theme.css"
    #    ''
    #    @import url("https://catppuccin.github.io/discord/dist/catppuccin-mocha.theme.css");
    #    '';
in
{
    programs.vesktop = {
        enable = true;
        settings = {
            appBadge = false;
            customTitleBar = true;
            spellCheckLanguages = ["pl" "en_US"];
            tray = false;
        };
        vencord = {
            settings = {
                autoUpdate = false;
                autoUpdateNotification = false;
                enabledThemes = ["catppuccin-mocha-mauve"];
                cloud = {
                    authenticated = true;
                    url = "https://api.vencord.dev/";
                    settingsSync = true;
                };
            };
            #themes = {
            #    "catppuccin-mocha-mauve" = themeFile;
            #};
        };
    };
}